Bug 491213 - xterm does not respond to escape codes to change font size
xterm does not respond to escape codes to change font size
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xterm (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Miroslav Lichvar
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 16:16 EDT by John Perkins
Modified: 2013-03-08 10:50 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-08 10:50:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Perkins 2009-03-19 16:16:21 EDT
Description of problem:

A user at our site reports xterm no longer responds to the 
<esc>]50;<FONT_NAME><ctrl-G>
escape sequence to change font sizes on the fly.


Version-Release number of selected component (if applicable):

xterm-215-8.el5 (seems to work fine in xterm-215-5.el5)


How reproducible:

Start an xterm window, then (in /bin/tcsh shell):
  
  echo -n "\e]50;5x8\007"
  echo -n "\e]50;9x18\007"

This should make the window go smaller, then larger.  On our RHEL5 systems, neither command has an effect.  Downgrading the xterm RPM to 215-5 fixes this behavior.
Comment 1 Miroslav Lichvar 2009-03-31 09:35:18 EDT
The font control sequences were disabled in the patch for security bug #478888.

A solution is to backport the allowFontOps resource which would allow users to enable the sequences again.
Comment 2 RHEL Product and Program Management 2009-11-06 14:01:37 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 RHEL Product and Program Management 2010-08-09 15:09:31 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2011-05-31 10:25:39 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 6 RHEL Product and Program Management 2011-09-22 20:32:11 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 7 Miroslav Lichvar 2013-03-08 10:50:03 EST
At this point in the RHEL5 release cycle, where only security and critical bugs are fixed, xterm is unlikely to be updated.

In the RHEL6 xterm, the behavior can be controlled by the allowFontOps resource.

Note You need to log in before you can comment on or make changes to this bug.